Skip to content

Get interaction by ID

Request

Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
Path
interactionIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Interaction's unique identifier to track interactions for. Can be Peach or lender's external identifier.

Query
searchableboolean

If true, format the entire response as one suitable for an ElasticSearch search index.

Default:false
GET
/interactions/{interactionId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/interactions/{interactionId}?searchable=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataGenericInteraction (object) or VoiceInteraction (object) or EmailInteraction (object) or TextInteraction (object) or ChatInteraction (object) or MailInteraction (object)(Interaction)
Any of:
Response
{ "message": "string", "status": 0, "data": { "channel": "string", "content": null, "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "borrowerSelectedTheme": "agentNotification", "contactId": "string", "metaData": {}, "personId": "string", "scheduledAtFrom": "2019-08-24T14:15:22Z", "scheduledAtTo": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "status": "attempted", "statusDetails": "voiceSpokeWithFirstParty", "subject": "annualPrivacyPolicyNotice", "theme": "agentNotification", "agentOutcome": "voiceSpokeWithFirstParty", "agentOutcomeUpdatedAt": "2019-08-24T14:15:22Z", "borrower": { … }, "companyId": "string", "complianceGuardRuleId": "string", "contact": { … }, "createdBy": { … }, "direction": "outbound", "endedAt": "2019-08-24T14:15:22Z", "externalId": "string", "failureDescriptionLong": "string", "failureDescriptionShort": "string", "isExternal": true, "isTransactional": true, "lastTaskMeta": { … }, "loanId": "LN-AAAA-BBBB", "loanIds": [ … ], "object": "interaction", "previousInteractionId": "string", "sendAt": "2019-08-24T14:15:22Z", "sensitive": false, "sensitiveBorrowerOnly": false, "statusDetailsUpdatedAt": "2019-08-24T14:15:22Z", "statusUpdatedAt": "2019-08-24T14:15:22Z", "supercaseBulkOperationId": "string", "templateVersionId": "string", "twilioErrorCode": "string" } }